Subject: Re: bug#65769:

From: "bdju" <[email-masked]>
Date: Fri, 20 Oct 2023 05:02:02 -0500

On Fri Oct 20, 2023 at 4:01 AM CDT, Hugo Buddelmeijer wrote:
> It would be greatly appreciated if someone could post an example Guix
> config for Sway that should run out of the box with the libre kernel
> without any extra channels. For example on a virtual machine. Then we
> have a shared starting point that we can all confirm to work, so we
> can detangle issues specific to our own hardware and software
> configuration, and issues related to Sway+Guix in general.
>
> Cheers,
> Hugo
>

I am running Sway on Guix System with the libre kernel. My hardware is a
ThinkPad T440p, intel graphics. I do not use any channels.

I've attached my config.scm, manifest, and sway config files in case
it's useful to you.